List the keys
curl --request GET \
--url https://api.tolk.every-day.io/v1/keys \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tolk.every-day.io/v1/keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tolk.every-day.io/v1/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"hash": "<string>",
"namespace": "<string>",
"key": "<string>",
"context": "<string>",
"isPlural": true,
"description": "<string>",
"maxLength": 123,
"sourceHash": "<string>",
"source": {
"value": "<string>",
"forms": {}
},
"tags": [
"<string>"
],
"archived": true,
"updatedAt": "<string>"
}
],
"meta": {
"nextCursor": "<string>",
"limit": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}Keys
List the keys
One page of the keys of the project, ordered by their id, with the cursor of the next page. Filters on
namespace, tag name (untagged: keys without a tag), archived state and last change.
GET
/
keys
List the keys
curl --request GET \
--url https://api.tolk.every-day.io/v1/keys \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tolk.every-day.io/v1/keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tolk.every-day.io/v1/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"hash": "<string>",
"namespace": "<string>",
"key": "<string>",
"context": "<string>",
"isPlural": true,
"description": "<string>",
"maxLength": 123,
"sourceHash": "<string>",
"source": {
"value": "<string>",
"forms": {}
},
"tags": [
"<string>"
],
"archived": true,
"updatedAt": "<string>"
}
],
"meta": {
"nextCursor": "<string>",
"limit": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum string length:
191Maximum string length:
50Which keys GET /v1/keys lists: only active keys (the default), active and archived keys, or only archived keys.
Available options:
exclude, include, only Maximum string length:
200Required range:
1 <= x <= 1000